手机版
你好,游客 登录 注册 搜索
背景:
阅读新闻

如何在Ubuntu 14.04中安装最新版Eclipse

[日期:2014-08-04] 来源:Linux社区  作者:Linux [字体: ]

想必很多开发人员都知道,Ubuntu 软件源中提供的并不是最新版本的 Eclipse,本教程就教大家如何在 Ubuntu 14.04 中快速安装 Eclipse 官方发布的最新版本。

到目前为止,Eclipse 的官方最新版本为 Eclipse Kepler (4.3.2),我们可以使用如下步骤在 Ubuntu 14.04 或其它 Ubuntu 版本中进行快速安装。

1.安装OpenJDK Java 7

如果你的系统中没有安装 Java,我们需要按如下步骤事先安装好 OpenJDK Java 7。使用 Ctrl+Alt+T 打开终端,并按如下步骤执行安装所需的 Java 版本安装命令:

如果你在 Ubuntu 软件中心安装过 OpenJDK,请先使用如下命令将其删除:

1、如果你在 Ubuntu 软件中心安装过 OpenJDK,请先使用如下命令将其删除:

sudo apt-get purge openjdk*

2、添加 PPA 源

sudo add-apt-repository ppa:webupd8team/java

3、更新下源数据库

sudo apt-get update

4安装 Oracle Java 7

sudo apt-get install oracle-java7-installer

2.下载 Eclipse 最新版

访问官方网站下载 Eclipse 最新版,这个就不多说了,大家自己去下。

http://www.eclipse.org/downloads/?osType=linux&release=undefined

3.解压 Eclipse

使用 Ctrl+Alt+T 打开终端并使用如下命令将 Eclipse 解压到 /opt/ 目录以供全局使用:

cd /opt/ && sudo tar -zxvf ~/下载/eclipse-*.tar.gz

解压完成后,就可以在 /opt/ 目录中看到 Eclipse 了

4.创建 Eclipse 快捷方式

1、在终端中执行如下命令

gksudo gedit /usr/share/applications/eclipse.desktop

2、粘贴并保存如下内容

[Desktop Entry]
Name=Eclipse 4
Type=Application
Exec=/opt/eclipse/eclipse
Terminal=false
Icon=/opt/eclipse/icon.xpm
Comment=Integrated Development Environment
NoDisplay=false
Categories=Development;IDE;
Name[en]=Eclipse

至此,我们就将最新版本的 Eclipse Kepler (4.3.2) 安装到 Ubuntu 14.04 中并可以使用了。

Hadoop Eclipse 插件编译安装1.2.0 http://www.linuxidc.com/Linux/2013-07/87428.htm

Hadoop在Eclipse中的插件编译 http://www.linuxidc.com/Linux/2013-04/83295.htm

Hadoop 1.2.1编译Eclipse插件 http://www.linuxidc.com/Linux/2013-10/91666.htm

Ubuntu 13.10安装JDK、Eclipse for C/C++(解决全局菜单问题) http://www.linuxidc.com/Linux/2013-11/92305.htm

更多Ubuntu相关信息见Ubuntu 专题页面 http://www.linuxidc.com/topicnews.aspx?tid=2

本文永久更新链接地址http://www.linuxidc.com/Linux/2014-08/105090.htm

linux
相关资讯       Eclipse安装  Ubuntu安装Eclipse 
本文评论   查看全部评论 (2)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款
第 2 楼
* 匿名 发表于 2017/2/25 11:43:41
哇哈哈哈
第 1 楼
* 匿名 发表于 2017/2/13 17:29:37
表示,初学看不懂,OPT文件夹要权限的,不知道这么弄权限,还有移动的时候“下载”打不出来的。